@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
	--primary-color: #890000;
	--background-color: #878787;
	--dark-color: #151515;
}

html {
	font-size: 62.5%;
	font-family: 'Poppins', sans-serif;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
	max-width: 120rem;
	margin: 0 auto;
}

.heading-1 {
	text-align: center;
	font-weight: 500;
	font-size: 3rem;
}

/* ********************************** */
/*               HEADER               */
/* ********************************** */
.container-hero {
	background-color: var(--background-color);
}

.hero {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 0;
}

.customer-support {
	display: flex;
	align-items: center;
	gap: 2rem;
}

.customer-support i {
	font-size: 3.3rem;
}

.container-customer-support {
	display: flex;
	flex-direction: column;
}

.container-logo {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

.container-logo i {
	font-size: 3rem;
}

.container-logo h1 a {
	text-decoration: none;
	color: #000;
	font-size: 3rem;
	text-transform: uppercase;
	letter-spacing: -1px;
}

.container-user .fa-bell-concierge {
	font-size: 3rem;
	color: var(--primary-color);
	padding-left: 1rem;
}

/* ************* NAVBAR ************* */
.container-navbar {
	background-color: var(--primary-color);
}

.navbar {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 0;
}

.navbar .fa-bars {
	display: none;
}

.menu {
	display: flex;
	gap: 2rem;
}

.menu li {
	list-style: none;
}

.menu a {
	text-decoration: none;
	font-size: 1.3rem;
	color: #ffffff;
	font-weight: 600;
	text-transform: uppercase;
	position: relative;
}

.menu a::after {
	content: '';
	width: 1.5rem;
	height: 1px;
	background-color: #ff0000;
	position: absolute;
	bottom: -3px;
	left: 50%;
	transform: translate(-50%, 50%);
	opacity: 0;
	transition: all 0.3s ease;
}

.menu a:hover::after {
	opacity: 1;
}

.menu a:hover {
	color: #ff0000;
}

.search-form input::-webkit-search-cancel-button {
	appearance: none;
}

/* ********************************** */
/*               BANNER               */
/* ********************************** */
.banner {
	background-image: linear-gradient(100deg, #000000, #00000020),
		url('image/imgworkman.png');
	height: 60rem;
	background-size: cover;
	background-position: center;
}

.content-banner {
	max-width: 90rem;
	margin: 0 auto;
	padding: 25rem 0;
}

.content-banner p {
	color: var(--primary-color);
	font-size: 1.2rem;
	margin-bottom: 1rem;
	font-weight: 500;
}

.content-banner h2 {
	color: #fff;
	font-size: 3.5rem;
	font-weight: 500;
	line-height: 1.2;
}

.container-banner a {
	margin-top: 2rem;
	text-decoration: none;
	color: #fff;
	background-color: var(--primary-color);
	display: inline-block;
	padding: 1rem 3rem;
	text-transform: uppercase;
	border-radius: 3rem;
}

/**************************/
/*CARTAS DE LOS SERVICIOS*/
/*************************/

.container {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	width: 900px;
	height: 370px;
	background: #fff;
	margin: 20px;
}

.container .img-container{
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50%;
	height: 100%;
	background: #3b3b3b;
}

.container .img-container::before {
	position: absolute;
	top: 0;
	left: 24px;
	opacity: 0.2;
	font-size: 8em;
	font-weight: 800;
}

.container .img-container img{
	position: relative;
	width: 275px;
	transform: rotate(0deg);
	left: -20px;
	transition: .9s linear;
}

.container .details{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50%;
	height: 100%;
	box-sizing: border-box;
	padding: 20px;
}

.container .details h2{
	margin: 0;
	padding: 0;
	text-transform: uppercase;
	font-size: 2em;
	line-height: 1em;
	color: #a50000;
}

.container .details h2 span{
	font-size: 0.7em;
	text-transform: uppercase;
	letter-spacing: 2px;
	color: #444;
}

.container .details p{
	max-width: 105%;
	margin-left: 0%;
	color:#333;
	font-size: 2.0em;
	margin-bottom: 36px;
}

@media(max-width: 1080px){
	.container {
		height: auto;
	}

	.container .img-container{
		padding: 40px;
		box-sizing: border-box;
		width: 51%!important;
		height: auto;
		text-align: center;
		overflow: hidden;
		padding: 2.0rem;
	}

	.container .img-container img{
		left: -20%;
		max-width: 50%;
		transform: rotate(0deg);
	}

	.details h2 p{
		width: 100%!important;
		height: auto;
		padding: 10px;
	}

	
}



/***********************/
/*      VENTANA MODAL  */
/***********************/

#modal100 {
    border-radius: 2.0rem;
    max-width: 150ch;
    height: 75vh;
    position: fixed;
    text-align: center;
    justify-content: center;
	margin: auto;
}

form {
	width: 512px;
	height: 550px;
	margin: auto;
	background: #fff;
	box-shadow: 1px 7px 25px rgba(0,0,0,0.6);
	transition: all 500ms ease;
	position: relative;
	transform: translateY(-30%);
}

#producto-info {
	display: none;
}

.producto-info {
	background: #890000;
	padding: 15px 45px;
	border-radius: 20px;
	cursor: pointer;
	color: #fff;
}

#modal100::backdrop {
    background-color: rgba(0,0,0,.55);
}

/**************************************/
/*            BOTON DE IR ARRIBA      */
/**************************************/

#button-up {
	width: 60px;
	height: 60px;
	background: #890000;
	display: flex;
	justify-content: center;
	align-items: center;
	color: white;
	border-radius: 50%;
	font-size: 20px;
	position: fixed;
	bottom: 50px;
	right: 50px;
	cursor: pointer;
	border: 4px solid transparent;
	transition: all 300ms ease;
	transform: scale(0);
}

#button-up:hover {
	transform: scale(1.1);
	border-color: rgba(0,0,0,0.1);
}



/************************************/
/*        Formulario WhatsApp       */
/************************************/


form{
    margin: 15px 5px;
    width: 500px;
    font-size: 25px;
}

form h1{
    text-align: center;
}

form label{
    display: block;
    margin-bottom: 15px;
    }

form input, form textarea{
    width: 100%;
    padding: 5px;
    margin-bottom: 10px;
    box-sizing: border-box;
    resize: vertical;
}

form button{
    background: #890000;
    color: white;
    padding: 10px 15px;
    margin-top: 5px;
    border: none;
    cursor: pointer;
	border-radius: 25px;
}

    form button:hover{
    background: #a50000;
    }


/* ********************************** */
/*               FOOTER               */
/* ********************************** */

.footer {
	background-color: #ff0000;
}

.container-footer {
	display: flex;
	flex-direction: column;
	gap: 4rem;
	padding: 6rem;
}

.content p {
	font-size: 1.4rem;
	color: #fff;
	font-weight: 300;
}

.copyright {
	display: flex;
	justify-content: space-between;
	padding-top: 2rem;
	border-top: 1px solid #ffffff;
}

.copyright p {
	color: #ffffff;
	font-weight: 400;
	font-size: 1.6rem;
}